View a markdown version of this page

BatchGetDiscoverableRegistryRecord - AgentRegistry Data Plane API Reference

BatchGetDiscoverableRegistryRecord

Retrieves multiple discoverable registry records by ID from a single registry. Records that cannot be retrieved are reported individually in the errors list rather than failing the entire request.

Request Syntax

POST /discoverable-records-batch HTTP/1.1 Content-type: application/json { "entries": [ { "recordIds": [ "string" ], "registryId": "string" } ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

entries

The registry-scoped groups of record IDs to retrieve. Currently, you can specify exactly one entry.

Type: Array of RegistryRecordsEntry objects

Array Members: Fixed number of 1 item.

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "errors": [ { "errorCode": "string", "message": "string", "recordId": "string", "registryId": "string" } ], "registryRecords": [ { "createdAt": "string", "description": "string", "descriptors": { "a2aAgentCard": { "data": "string", "dataSchemaVersion": "string", "source": { "fromUrl": { "url": "string" } } }, "agentSkillsDefinition": { "additionalData": { "skillMd": { "data": "string", "dataSchemaVersion": "string", "source": { "fromUrl": { "url": "string" } } } }, "data": "string", "dataSchemaVersion": "string" }, "custom": { "data": "string" }, "mcpServer": { "additionalData": { "tools": { "data": "string", "dataSchemaVersion": "string" } }, "data": "string", "dataSchemaVersion": "string", "source": { "fromUrl": { "url": "string" } } } }, "displayName": "string", "name": "string", "recordArn": "string", "recordId": "string", "recordType": "string", "recordVersion": "string", "registryArn": "string", "status": "string", "updatedAt": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

errors

The per-record errors for records that could not be retrieved. This list is empty when all requested records were returned.

Type: Array of BatchGetDiscoverableRegistryRecordError objects

registryRecords

The records that were successfully retrieved. Each record correlates to the request by its recordId.

Type: Array of RegistryRecordSummary objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The caller is not authorized to perform the requested action.

HTTP Status Code: 403

InternalServerException

The request failed due to an unexpected internal error; the caller may retry.

HTTP Status Code: 500

ResourceNotFoundException

The requested resource was not found.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling; the caller may retry after a delay.

HTTP Status Code: 429

UnauthorizedException

The request could not be authenticated.

HTTP Status Code: 401

ValidationException

The request failed validation of one or more input fields.

fieldList

The list of input fields that failed validation.

reason

The reason the request failed validation.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: